import request from '@/utils/request'
import qs from 'qs'

/**
 * 地勤人员接口
 */

// 获取地勤人员列表
const getList = function(params) {
    return request({
        url: '/worker/findPageList.do',
        method: 'post',
        data: qs.stringify(params)
    })
}
// 添加地勤人员
const addGround = function(params) {
    return request({
        url: '/worker/add.do',
        method: 'get',
        params
    })
}
// 更新地勤人员
const updateGround = function(params) {
    return request({
        url: '/worker/update.do',
        method: 'get',
        params
    })
}
// 重置地勤人员密码
const resetGround = function(params) {
    return request({
        url: '/worker/resetPassword.do',
        method: 'get',
        params
    })
}
// 删除地勤人员
const delGround = function(params) {
    return request({
        url: '/worker/delete.do',
        method: 'get',
        params
    })
}

export default {
    getList,
    addGround,
    updateGround,
    resetGround,
    delGround
}
